datablock ShapeBaseImageData(BananaModelImage)
{
  shapeFile = "./banana.dts";
  emap = true;
  mountPoint = 7;
  offset = "0 0 0.85";
  eyeOffset = "-10 -10 0";
  eyeRotation = eulerToMatrix("0 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle";
  stateAllowImageChange[1] = true;
};

function BananaModelImage::onMount(%this,%user)
{
	%obj = %user;
	hideAllNodes(%obj);
	%obj.hidenode(headskin);
	
	%obj.unhidenode(Larm);
	%obj.setnodecolor("larm","0.1 0.1 0.1 1");
	%obj.unhidenode(Rarm);
	%obj.setnodecolor("rarm","0.1 0.1 0.1 1");
	%obj.unhidenode(Lhand);
	%obj.setnodecolor("lhand","0.9 0.9 0.9 1");
	%obj.unhidenode(Rhand);
	%obj.setnodecolor("rhand","0.9 0.9 0.9 1");
	%obj.unhidenode(LShoe);
	%obj.setnodecolor("lshoe","0.9 0.9 0.9 1");
	%obj.unhidenode(RShoe);
	%obj.setnodecolor("rshoe","0.9 0.9 0.9 1");
}

function BananaModelImage::onUnMount(%this,%user)
{
	%user.client.applybodyparts();
}

package BananaPlayer
{
	function serverCmdBanana(%client,%victim)
	{
		if(%client.isAdmin)
		{	
			%victim = findClientByName(%victim);
			if(isObject(%victim.player))
			{
				messageAll('', "\c4" @ %victim.name @ "\c6 has been Banana'd by \c4" @ %client.name @ "\c6.");
			
				%victim.player.unmountImage(1);
				%victim.player.mountImage(BananaModelImage,1);
			}
			else {
				messageClient(%client,'',"\c6Player doesn't exist."); }
		}
		else {
		messageClient(%client,'',"\c6Only admins can do this."); }
	}
};
activatePackage(BananaPlayer);
